# 사용자 토큰 생성

사용자가 게임에 존재하는지 확인하고 사용자 토큰을 생성합니다.

Endpoint: POST /v2/project/{project_id}/distribution_hub/user/auth
Version: 1.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    프로젝트 ID.
    Example: 44056

## Request fields (application/json):

  - `user` (object, required)

  - `user.country` (string,null)
    [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)에 따른 2자로 된 대문자 국가 코드를 사용합니다.
    Example: "US"

  - `user.email` (string, required)
    구매한 게임 키를 받을 수 있는 사용자의 이메일 주소입니다.
    Example: "public_email@test.com"

  - `user.id` (string,null)
    게임에서 사용하는 고유 사용자 식별자입니다.
    Example: "public_id"

  - `user.ip` (string,null)
    사용자의 IP 주소입니다.
    Example: "127.0.0.1"

  - `user.name` (string,null)
    사용자의 공개 이름입니다.
    Example: "Public name"

  - `user.phone` (string,null)
    사용자의 전화번호입니다.
    Example: "+66-000-000-00-00"

## Response 200 fields (application/json):

  - `token` (string)
    사용자 토큰.


